Subject: bug#8076: PCH support / howto

From: Olaf van der Spek <[email-masked]>
Date: Sun, 27 Feb 2011 19:01:16 +0100

On Sun, Feb 27, 2011 at 1:08 PM, Ralf Wildenhues <[email-masked]> wrote:
> I will probably not hack on this myself (both due to time constraints
> and IMVHO limited portability/usefulness of PCH), but if somebody else

PCH is IMO very valuable. GCC, ICC and MSVC support it, I'm not sure
about other compilers.
I've read your concerns, but I think they're not an issue.

> wants to pursue it, I'd help.  The above discussions can give some
> insight into the issues around this.
>
> Hope this helps.  If you have a good solution, even if it's just for
> your project, feel free to post it here; we can link to it from the
> FAQ or so, or even put it in the manual if it is sufficiently general.

It would be nice to add PCH support to the Hello World example. I
think this requires two steps:
1. Compile config.h into config.h.gch
2. Add config.h.gch as a dependency to all source files.

Could you (or someone else) help me with those? I've got no experience
with automake but I assume they're trivial for someone with
experience.

-- 
Olaf